- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# ImplicitActivationPolicyA.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Enum_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Objref_TypeCode_Static.h"`
`#include "tao/PortableServer/ImplicitActivationPolicyA.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Impl_T.h"`
`#include "tao/AnyTypeCode/Any_Basic_Impl_T.h"`

Include dependency graph for ImplicitActivationPolicyA.cpp:

## Namespaces
namespace | PortableServer
## Functions
static TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_ImplicitActivationPolicyValue ("IDL:omg.org/PortableServer/ImplicitActivationPolicyValue:2.3","ImplicitActivationPolicyValue", _tao_enumerators_PortableServer_ImplicitActivationPolicyValue, 2)
static TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_ImplicitActivationPolicy (CORBA::tk_local_interface,"IDL:omg.org/PortableServer/ImplicitActivationPolicy:2.3","ImplicitActivationPolicy")
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ImplicitActivationPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ImplicitActivationPolicyValue &_tao_elem)
## Variables
static TAO_BEGIN_VERSIONED_NAMESPACE_DECL char const *const | _tao_enumerators_PortableServer_ImplicitActivationPolicyValue []
::CORBA::TypeCode_ptr const | PortableServer::_tc_ImplicitActivationPolicyValue
::CORBA::TypeCode_ptr const | PortableServer::_tc_ImplicitActivationPolicy

## Function Documentation

static TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_ImplicitActivationPolicy | ( | CORBA::tk_local_interface | ,
|  | "IDL:omg.org/PortableServer/ImplicitActivationPolicy:2.3" | ,
|  | "ImplicitActivationPolicy" |  |
| ) |  |  | `[static]`

static TAO::TypeCode::Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_ImplicitActivationPolicyValue | ( | "IDL:omg.org/PortableServer/ImplicitActivationPolicyValue:2.3" | ,
|  | "ImplicitActivationPolicyValue" | ,
|  | _tao_enumerators_PortableServer_ImplicitActivationPolicyValue | ,
|  | 2 |  |
| ) |  |  | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::ImplicitActivationPolicyValue | _tao_elem |
| ) |  |  |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::ImplicitActivationPolicyValue & | _tao_elem |
| ) |  |  |

## Variable Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL char const* const _tao_enumerators_PortableServer_ImplicitActivationPolicyValue[]`[static]`

Initial value:

      {
        "IMPLICIT_ACTIVATION",
        "NO_IMPLICIT_ACTIVATION"

      }